diff --git a/assets/sql/batch_update_jadwal_status.sql b/assets/sql/batch_update_jadwal_status.sql
new file mode 100644
index 0000000..15a6fd4
--- /dev/null
+++ b/assets/sql/batch_update_jadwal_status.sql
@@ -0,0 +1,80 @@
+-- Fungsi untuk memperbarui status banyak jadwal sekaligus
+-- Penggunaan:
+-- SELECT batch_update_jadwal_status(
+--   ARRAY[
+--     '{"id": "jadwal-id-1", "status": "AKTIF"}',
+--     '{"id": "jadwal-id-2", "status": "BATALTERLAKSANA"}'
+--   ]::jsonb[],
+--   '2023-01-01T00:00:00Z'
+-- );
+
+CREATE OR REPLACE FUNCTION public.batch_update_jadwal_status(
+  jadwal_updates jsonb[],
+  updated_timestamp text DEFAULT NOW()
+) RETURNS jsonb
+LANGUAGE plpgsql
+SECURITY DEFINER
+SET search_path = public
+AS $$
+DECLARE
+  jadwal_item jsonb;
+  jadwal_id text;
+  new_status text;
+  updated_count int := 0;
+  success_ids text[] := '{}';
+  result jsonb;
+  error_ids text[] := '{}';
+  error_messages text[] := '{}';
+BEGIN
+  -- Loop melalui setiap item dalam array
+  FOREACH jadwal_item IN ARRAY jadwal_updates
+  LOOP
+    -- Ekstrak ID dan status dari item JSON
+    jadwal_id := jadwal_item->>'id';
+    new_status := jadwal_item->>'status';
+    
+    -- Konversi ID string ke UUID secara eksplisit dan status ke enum
+    BEGIN
+      -- Update jadwal penyaluran dengan cast eksplisit ke UUID dan StatusPenyaluranBantuan
+      UPDATE public.penyaluran_bantuan
+      SET 
+        status = new_status::public."StatusPenyaluranBantuan",
+        updated_at = updated_timestamp
+      WHERE id = jadwal_id::uuid;
+      
+      -- Jika berhasil diperbarui
+      IF FOUND THEN
+        updated_count := updated_count + 1;
+        success_ids := array_append(success_ids, jadwal_id);
+      END IF;
+      
+    EXCEPTION 
+      WHEN invalid_text_representation THEN
+        -- Log error jika konversi UUID gagal
+        RAISE NOTICE 'Invalid UUID format: %', jadwal_id;
+        error_ids := array_append(error_ids, jadwal_id);
+        error_messages := array_append(error_messages, 'Invalid UUID format');
+      WHEN others THEN
+        -- Tangkap error lainnya
+        RAISE NOTICE 'Error updating status for jadwal ID %: %', jadwal_id, SQLERRM;
+        error_ids := array_append(error_ids, jadwal_id);
+        error_messages := array_append(error_messages, SQLERRM);
+    END;
+  END LOOP;
+  
+  -- Buat hasil dalam format JSON
+  result := jsonb_build_object(
+    'success', updated_count > 0,
+    'updated_count', updated_count,
+    'success_ids', success_ids,
+    'timestamp', updated_timestamp,
+    'errors', jsonb_build_object(
+      'count', array_length(error_ids, 1),
+      'ids', error_ids,
+      'messages', error_messages
+    )
+  );
+  
+  RETURN result;
+END;
+$$; 
\ No newline at end of file
diff --git a/lib/app/data/models/lokasi_penyaluran_model.dart b/lib/app/data/models/lokasi_penyaluran_model.dart
index ceaaeef..4275bd4 100644
--- a/lib/app/data/models/lokasi_penyaluran_model.dart
+++ b/lib/app/data/models/lokasi_penyaluran_model.dart
@@ -12,6 +12,7 @@ class LokasiPenyaluranModel {
   final double? latitude;
   final double? longitude;
   final String? petugasDesaId; // Referensi ke PetugasDesa
+  final bool isLokasiTitip; // Field baru untuk menentukan lokasi penitipan
   final DateTime createdAt;
   final DateTime? updatedAt;
 
@@ -27,6 +28,7 @@ class LokasiPenyaluranModel {
     this.latitude,
     this.longitude,
     this.petugasDesaId,
+    this.isLokasiTitip = false, // Nilai default false
     required this.createdAt,
     this.updatedAt,
   });
@@ -49,6 +51,7 @@ class LokasiPenyaluranModel {
         latitude: json["latitude"]?.toDouble(),
         longitude: json["longitude"]?.toDouble(),
         petugasDesaId: json["petugas_desa_id"],
+        isLokasiTitip: json["is_lokasi_titip"] ?? false,
         createdAt: DateTime.parse(json["created_at"]),
         updatedAt: json["updated_at"] == null
             ? null
@@ -67,6 +70,7 @@ class LokasiPenyaluranModel {
         "latitude": latitude,
         "longitude": longitude,
         "petugas_desa_id": petugasDesaId,
+        "is_lokasi_titip": isLokasiTitip,
         "created_at": createdAt.toIso8601String(),
         "updated_at": updatedAt?.toIso8601String(),
       };
diff --git a/lib/app/data/models/penyaluran_bantuan_model.dart b/lib/app/data/models/penyaluran_bantuan_model.dart
index ce487a7..736ca9f 100644
--- a/lib/app/data/models/penyaluran_bantuan_model.dart
+++ b/lib/app/data/models/penyaluran_bantuan_model.dart
@@ -71,6 +71,14 @@ class PenyaluranBantuanModel {
     return null;
   }
 
+  // Mendapatkan foto petugas dari relasi petugas
+  String? get fotoPetugas {
+    if (petugas != null && petugas!['foto_profil'] != null) {
+      return petugas!['foto_profil'];
+    }
+    return null;
+  }
+
   factory PenyaluranBantuanModel.fromRawJson(String str) =>
       PenyaluranBantuanModel.fromJson(json.decode(str));
 
@@ -126,4 +134,49 @@ class PenyaluranBantuanModel {
         "created_at": createdAt?.toUtc().toIso8601String(),
         "updated_at": updatedAt?.toUtc().toIso8601String(),
       };
+
+  // Metode copyWith untuk membuat salinan objek dengan perubahan tertentu
+  PenyaluranBantuanModel copyWith({
+    String? id,
+    String? nama,
+    String? deskripsi,
+    String? petugasId,
+    String? skemaId,
+    String? lokasiPenyaluranId,
+    String? kategoriBantuanId,
+    int? jumlahPenerima,
+    DateTime? tanggalPenyaluran,
+    String? status,
+    String? alasanPembatalan,
+    DateTime? tanggalPembatalan,
+    DateTime? tanggalSelesai,
+    DateTime? createdAt,
+    DateTime? updatedAt,
+    Map<String, dynamic>? lokasiPenyaluran,
+    Map<String, dynamic>? kategori,
+    Map<String, dynamic>? petugas,
+    int? jumlahBantuan,
+  }) {
+    return PenyaluranBantuanModel(
+      id: id ?? this.id,
+      nama: nama ?? this.nama,
+      deskripsi: deskripsi ?? this.deskripsi,
+      petugasId: petugasId ?? this.petugasId,
+      skemaId: skemaId ?? this.skemaId,
+      lokasiPenyaluranId: lokasiPenyaluranId ?? this.lokasiPenyaluranId,
+      kategoriBantuanId: kategoriBantuanId ?? this.kategoriBantuanId,
+      jumlahPenerima: jumlahPenerima ?? this.jumlahPenerima,
+      tanggalPenyaluran: tanggalPenyaluran ?? this.tanggalPenyaluran,
+      status: status ?? this.status,
+      alasanPembatalan: alasanPembatalan ?? this.alasanPembatalan,
+      tanggalPembatalan: tanggalPembatalan ?? this.tanggalPembatalan,
+      tanggalSelesai: tanggalSelesai ?? this.tanggalSelesai,
+      createdAt: createdAt ?? this.createdAt,
+      updatedAt: updatedAt ?? this.updatedAt,
+      lokasiPenyaluran: lokasiPenyaluran ?? this.lokasiPenyaluran,
+      kategori: kategori ?? this.kategori,
+      petugas: petugas ?? this.petugas,
+      jumlahBantuan: jumlahBantuan ?? this.jumlahBantuan,
+    );
+  }
 }
diff --git a/lib/app/data/providers/auth_provider.dart b/lib/app/data/providers/auth_provider.dart
index 002a8e5..0207fa8 100644
--- a/lib/app/data/providers/auth_provider.dart
+++ b/lib/app/data/providers/auth_provider.dart
@@ -457,4 +457,12 @@ class AuthProvider {
   Future<void> markNotificationAsRead(int notificationId) async {
     await _supabaseService.markNotificationAsRead(notificationId);
   }
+
+  // Metode untuk reset password
+  Future<void> resetPasswordForEmail(String email, {String? redirectTo}) async {
+    await _supabaseService.client.auth.resetPasswordForEmail(
+      email,
+      redirectTo: redirectTo,
+    );
+  }
 }
diff --git a/lib/app/modules/about/bindings/about_binding.dart b/lib/app/modules/about/bindings/about_binding.dart
new file mode 100644
index 0000000..4c1271d
--- /dev/null
+++ b/lib/app/modules/about/bindings/about_binding.dart
@@ -0,0 +1,8 @@
+import 'package:get/get.dart';
+
+class AboutBinding extends Bindings {
+  @override
+  void dependencies() {
+    // Tidak perlu controller khusus untuk halaman Tentang Kami
+  }
+}
diff --git a/lib/app/modules/about/views/about_view.dart b/lib/app/modules/about/views/about_view.dart
new file mode 100644
index 0000000..bf4c6fe
--- /dev/null
+++ b/lib/app/modules/about/views/about_view.dart
@@ -0,0 +1,454 @@
+import 'package:flutter/material.dart';
+import 'package:get/get.dart';
+import 'package:penyaluran_app/app/theme/app_theme.dart';
+
+class AboutView extends StatelessWidget {
+  const AboutView({super.key});
+
+  @override
+  Widget build(BuildContext context) {
+    return Scaffold(
+      appBar: AppBar(
+        title: const Text('Tentang Kami'),
+        centerTitle: true,
+        elevation: 0,
+      ),
+      body: SingleChildScrollView(
+        child: Column(
+          children: [
+            // Header dengan logo dan nama brand
+            Container(
+              width: double.infinity,
+              decoration: BoxDecoration(
+                gradient: AppTheme.primaryGradient,
+                borderRadius: const BorderRadius.only(
+                  bottomLeft: Radius.circular(30),
+                  bottomRight: Radius.circular(30),
+                ),
+              ),
+              padding: const EdgeInsets.fromLTRB(20, 20, 20, 40),
+              child: Column(
+                children: [
+                  Container(
+                    width: 120,
+                    height: 120,
+                    decoration: BoxDecoration(
+                      color: Colors.white,
+                      shape: BoxShape.circle,
+                    ),
+                    child: Center(
+                      child: Image.asset(
+                        'assets/images/logo-disalurkita.png',
+                        width: 100,
+                        height: 100,
+                      ),
+                    ),
+                  ),
+                  const SizedBox(height: 20),
+                  const Text(
+                    'DisalurKita',
+                    style: TextStyle(
+                      fontSize: 28,
+                      fontWeight: FontWeight.bold,
+                      color: Colors.white,
+                    ),
+                  ),
+                  const SizedBox(height: 8),
+                  const Text(
+                    'Salurkan dengan Pasti, Pantau dengan Bukti',
+                    style: TextStyle(
+                      fontSize: 16,
+                      color: Colors.white,
+                      fontWeight: FontWeight.w500,
+                    ),
+                  ),
+                  const SizedBox(height: 20),
+                  _buildVersionInfo(),
+                ],
+              ),
+            ),
+
+            // Konten utama
+            Padding(
+              padding: const EdgeInsets.all(20),
+              child: Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  _buildSection(
+                    icon: Icons.info_outline,
+                    title: 'Tentang DisalurKita',
+                    content:
+                        'DisalurKita adalah platform penyaluran bantuan digital yang mengedepankan transparansi, akuntabilitas, dan kemudahan pengelolaan bantuan. Aplikasi ini memudahkan koordinasi antara petugas desa, donatur, dan warga dalam proses penyaluran bantuan sosial.',
+                  ),
+
+                  _buildSection(
+                    icon: Icons.visibility_outlined,
+                    title: 'Visi Kami',
+                    content:
+                        'Menjadi platform terdepan dalam penyaluran bantuan sosial yang transparan, akuntabel, dan berdampak nyata bagi masyarakat Indonesia.',
+                  ),
+
+                  _buildSection(
+                    icon: Icons.location_on_outlined,
+                    title: 'Misi Kami',
+                    content:
+                        '• Memastikan setiap bantuan diterima oleh yang berhak\n• Meningkatkan transparansi dalam proses penyaluran\n• Memberikan kemudahan akses informasi bagi semua pihak\n• Membangun kepercayaan antara donatur dan penerima bantuan',
+                  ),
+
+                  _buildSection(
+                    icon: Icons.star_outline,
+                    title: 'Nilai-nilai Kami',
+                    content:
+                        '• Transparansi: Keterbukaan dalam setiap proses\n• Akuntabilitas: Pertanggungjawaban yang jelas\n• Inklusivitas: Melibatkan semua pihak\n• Efisiensi: Penyaluran bantuan tepat sasaran\n• Inovasi: Terus berinovasi untuk solusi terbaik',
+                  ),
+
+                  _buildSection(
+                    icon: Icons.people_outline,
+                    title: 'Tim Kami',
+                    content:
+                        'DisalurKita dikembangkan oleh tim yang berdedikasi untuk menciptakan solusi inovatif dalam penyaluran bantuan sosial di Indonesia. Tim kami terdiri dari para profesional di bidang teknologi dan pengembangan sosial.',
+                  ),
+
+                  // Layanan
+                  _buildTeamSection(),
+
+                  // Hubungi Kami
+                  _buildContactSection(),
+                ],
+              ),
+            ),
+          ],
+        ),
+      ),
+    );
+  }
+
+  Widget _buildVersionInfo() {
+    return Container(
+      padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
+      decoration: BoxDecoration(
+        color: Colors.white.withOpacity(0.2),
+        borderRadius: BorderRadius.circular(20),
+      ),
+      child: const Text(
+        'Versi 1.0.0',
+        style: TextStyle(
+          color: Colors.white,
+          fontWeight: FontWeight.w500,
+        ),
+      ),
+    );
+  }
+
+  Widget _buildSection({
+    required IconData icon,
+    required String title,
+    required String content,
+  }) {
+    return Padding(
+      padding: const EdgeInsets.only(bottom: 24),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Row(
+            children: [
+              Container(
+                padding: const EdgeInsets.all(8),
+                decoration: BoxDecoration(
+                  color: AppTheme.primaryColor.withOpacity(0.1),
+                  borderRadius: BorderRadius.circular(10),
+                ),
+                child: Icon(
+                  icon,
+                  color: AppTheme.primaryColor,
+                  size: 24,
+                ),
+              ),
+              const SizedBox(width: 12),
+              Text(
+                title,
+                style: const TextStyle(
+                  fontSize: 18,
+                  fontWeight: FontWeight.bold,
+                  color: AppTheme.primaryColor,
+                ),
+              ),
+            ],
+          ),
+          const SizedBox(height: 12),
+          Text(
+            content,
+            style: TextStyle(
+              fontSize: 15,
+              color: Colors.grey[700],
+              height: 1.5,
+            ),
+          ),
+        ],
+      ),
+    );
+  }
+
+  Widget _buildTeamSection() {
+    return Padding(
+      padding: const EdgeInsets.only(bottom: 24),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Row(
+            children: [
+              Container(
+                padding: const EdgeInsets.all(8),
+                decoration: BoxDecoration(
+                  color: AppTheme.primaryColor.withOpacity(0.1),
+                  borderRadius: BorderRadius.circular(10),
+                ),
+                child: Icon(
+                  Icons.settings_outlined,
+                  color: AppTheme.primaryColor,
+                  size: 24,
+                ),
+              ),
+              const SizedBox(width: 12),
+              const Text(
+                'Layanan Kami',
+                style: TextStyle(
+                  fontSize: 18,
+                  fontWeight: FontWeight.bold,
+                  color: AppTheme.primaryColor,
+                ),
+              ),
+            ],
+          ),
+          const SizedBox(height: 16),
+
+          // Layanan Grid
+          GridView.count(
+            crossAxisCount: 3,
+            shrinkWrap: true,
+            physics: const NeverScrollableScrollPhysics(),
+            crossAxisSpacing: 16,
+            mainAxisSpacing: 16,
+            childAspectRatio: 0.8,
+            children: [
+              _buildServiceItem(
+                icon: Icons.volunteer_activism_outlined,
+                title: 'Penitipan Bantuan',
+              ),
+              _buildServiceItem(
+                icon: Icons.inventory_2_outlined,
+                title: 'Pengelolaan Stok',
+              ),
+              _buildServiceItem(
+                icon: Icons.local_shipping_outlined,
+                title: 'Penyaluran Bantuan',
+              ),
+              _buildServiceItem(
+                icon: Icons.people_outline,
+                title: 'Manajemen Penerima',
+              ),
+              _buildServiceItem(
+                icon: Icons.assignment_outlined,
+                title: 'Laporan Transparan',
+              ),
+              _buildServiceItem(
+                icon: Icons.campaign_outlined,
+                title: 'Pengaduan',
+              ),
+            ],
+          ),
+        ],
+      ),
+    );
+  }
+
+  Widget _buildServiceItem({
+    required IconData icon,
+    required String title,
+  }) {
+    return Container(
+      decoration: BoxDecoration(
+        color: Colors.white,
+        borderRadius: BorderRadius.circular(12),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.grey.withOpacity(0.1),
+            spreadRadius: 1,
+            blurRadius: 5,
+            offset: const Offset(0, 2),
+          ),
+        ],
+      ),
+      child: Column(
+        mainAxisAlignment: MainAxisAlignment.center,
+        children: [
+          Container(
+            padding: const EdgeInsets.all(12),
+            decoration: BoxDecoration(
+              color: AppTheme.primaryColor.withOpacity(0.1),
+              shape: BoxShape.circle,
+            ),
+            child: Icon(
+              icon,
+              color: AppTheme.primaryColor,
+              size: 28,
+            ),
+          ),
+          const SizedBox(height: 8),
+          Padding(
+            padding: const EdgeInsets.symmetric(horizontal: 8),
+            child: Text(
+              title,
+              style: const TextStyle(
+                fontSize: 12,
+                fontWeight: FontWeight.w500,
+              ),
+              textAlign: TextAlign.center,
+              maxLines: 2,
+              overflow: TextOverflow.ellipsis,
+            ),
+          ),
+        ],
+      ),
+    );
+  }
+
+  Widget _buildContactSection() {
+    return Column(
+      crossAxisAlignment: CrossAxisAlignment.start,
+      children: [
+        Row(
+          children: [
+            Container(
+              padding: const EdgeInsets.all(8),
+              decoration: BoxDecoration(
+                color: AppTheme.primaryColor.withOpacity(0.1),
+                borderRadius: BorderRadius.circular(10),
+              ),
+              child: Icon(
+                Icons.contact_mail_outlined,
+                color: AppTheme.primaryColor,
+                size: 24,
+              ),
+            ),
+            const SizedBox(width: 12),
+            const Text(
+              'Hubungi Kami',
+              style: TextStyle(
+                fontSize: 18,
+                fontWeight: FontWeight.bold,
+                color: AppTheme.primaryColor,
+              ),
+            ),
+          ],
+        ),
+        const SizedBox(height: 16),
+
+        Container(
+          width: double.infinity,
+          padding: const EdgeInsets.all(16),
+          decoration: BoxDecoration(
+            gradient: LinearGradient(
+              colors: [Colors.blue.shade50, Colors.white],
+              begin: Alignment.topLeft,
+              end: Alignment.bottomRight,
+            ),
+            borderRadius: BorderRadius.circular(16),
+            boxShadow: [
+              BoxShadow(
+                color: Colors.blue.withOpacity(0.1),
+                spreadRadius: 1,
+                blurRadius: 8,
+                offset: const Offset(0, 2),
+              ),
+            ],
+          ),
+          child: Column(
+            children: [
+              _buildContactItem(
+                icon: Icons.email_outlined,
+                title: 'Email',
+                content: 'info@disalurkita.id',
+              ),
+              const Divider(height: 24),
+              _buildContactItem(
+                icon: Icons.phone_outlined,
+                title: 'Telepon',
+                content: '+62 8123 4567 890',
+              ),
+              const Divider(height: 24),
+              _buildContactItem(
+                icon: Icons.location_on_outlined,
+                title: 'Alamat',
+                content: 'Jl. Transparansi No. 123, Jakarta Pusat, Indonesia',
+              ),
+            ],
+          ),
+        ),
+        const SizedBox(height: 20),
+
+        // Footer
+        Center(
+          child: Text(
+            '© ${DateTime.now().year} DisalurKita. Seluruh hak cipta dilindungi.',
+            style: TextStyle(
+              fontSize: 12,
+              color: Colors.grey,
+            ),
+            textAlign: TextAlign.center,
+          ),
+        ),
+        const SizedBox(height: 20),
+      ],
+    );
+  }
+
+  Widget _buildContactItem({
+    required IconData icon,
+    required String title,
+    required String content,
+  }) {
+    return Row(
+      children: [
+        Container(
+          padding: const EdgeInsets.all(10),
+          decoration: BoxDecoration(
+            color: AppTheme.primaryColor.withOpacity(0.1),
+            shape: BoxShape.circle,
+          ),
+          child: Icon(
+            icon,
+            color: AppTheme.primaryColor,
+            size: 20,
+          ),
+        ),
+        const SizedBox(width: 16),
+        Expanded(
+          child: Column(
+            crossAxisAlignment: CrossAxisAlignment.start,
+            children: [
+              Text(
+                title,
+                style: TextStyle(
+                  fontSize: 14,
+                  fontWeight: FontWeight.bold,
+                  color: Colors.grey[800],
+                ),
+              ),
+              const SizedBox(height: 4),
+              Text(
+                content,
+                style: TextStyle(
+                  fontSize: 14,
+                  color: Colors.grey[600],
+                ),
+                overflow: TextOverflow.ellipsis,
+                maxLines: 2,
+              ),
+            ],
+          ),
+        ),
+      ],
+    );
+  }
+}
diff --git a/lib/app/modules/auth/controllers/auth_controller.dart b/lib/app/modules/auth/controllers/auth_controller.dart
index c437449..f6a82ef 100644
--- a/lib/app/modules/auth/controllers/auth_controller.dart
+++ b/lib/app/modules/auth/controllers/auth_controller.dart
@@ -50,6 +50,10 @@ class AuthController extends GetxController {
   final RxBool isLoading = false.obs;
   final RxBool isWargaProfileComplete = false.obs;
 
+  // Variable untuk mengontrol visibility password
+  final RxBool isPasswordHidden = true.obs;
+  final RxBool isConfirmPasswordHidden = true.obs;
+
   // Flag untuk menandai apakah sudah melakukan pengambilan data profil
   final RxBool _hasLoadedProfile = false.obs;
 
@@ -376,6 +380,65 @@ class AuthController extends GetxController {
     return null;
   }
 
+  // Metode untuk reset password
+  Future<void> resetPassword(String email) async {
+    if (email.isEmpty) {
+      Get.snackbar(
+        'Error',
+        'Email tidak boleh kosong',
+        snackPosition: SnackPosition.TOP,
+        backgroundColor: Colors.red,
+        colorText: Colors.white,
+      );
+      return;
+    }
+
+    if (!GetUtils.isEmail(email)) {
+      Get.snackbar(
+        'Error',
+        'Email tidak valid',
+        snackPosition: SnackPosition.TOP,
+        backgroundColor: Colors.red,
+        colorText: Colors.white,
+      );
+      return;
+    }
+
+    try {
+      isLoading.value = true;
+
+      // Menggunakan Supabase untuk reset password
+      await _authProvider.resetPasswordForEmail(
+        email,
+        redirectTo: 'penyaluranapp://reset-password',
+      );
+
+      Get.snackbar(
+        'Sukses',
+        'Instruksi reset password telah dikirim ke email Anda',
+        snackPosition: SnackPosition.TOP,
+        backgroundColor: Colors.green,
+        colorText: Colors.white,
+      );
+
+      // Kembali ke halaman login
+      Future.delayed(const Duration(seconds: 3), () {
+        Get.offNamed(Routes.login);
+      });
+    } catch (e) {
+      print('Error saat reset password: $e');
+      Get.snackbar(
+        'Error',
+        'Terjadi kesalahan saat mengirim reset password. Silakan coba lagi nanti.',
+        snackPosition: SnackPosition.TOP,
+        backgroundColor: Colors.red,
+        colorText: Colors.white,
+      );
+    } finally {
+      isLoading.value = false;
+    }
+  }
+
   // Metode untuk refresh data user setelah update profil
   Future<void> refreshUserData() async {
     try {
@@ -543,4 +606,14 @@ class AuthController extends GetxController {
     noHpController.clear();
     jenisController.clear();
   }
+
+  // Metode untuk toggle visibility password
+  void togglePasswordVisibility() {
+    isPasswordHidden.value = !isPasswordHidden.value;
+  }
+
+  // Metode untuk toggle visibility konfirmasi password
+  void toggleConfirmPasswordVisibility() {
+    isConfirmPasswordHidden.value = !isConfirmPasswordHidden.value;
+  }
 }
